Subject: Re: [PATCH 1/3] After chdir to run grep, return to old directory

From: David Turner <[email-masked]>
Date: Tue, 06 May 2014 17:06:51 -0700

On Tue, 2014-05-06 at 15:24 -0700, Junio C Hamano wrote:
> [email-masked] writes:
> 
> > From: David Turner <[email-masked]>
> >
> > Signed-off-by: David Turner <[email-masked]>
> 
> Ehh, why?

Briefly, because otherwise ./t7811-grep-open.sh fails when run under
watchman.

This is actually something that I think I'm doing wrong, but I can't see
what the sensible way to do it is.  When we go to write the fs_cache (in
an atexit hook), we use get_fs_cache_file() from environment.c.  This is
a relative path, because all of the other similar paths are.  So if we
have chdired, then we fail.